package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.fundmanagement.vo.FinancialBasicFileVo;

/**
 * @Description 客户管理-基础资料清单表实体类
 * @Author Yafan Wang
 * @Date 2023/2/9 15:06
 */
@TableName("financial_basic_file_info")
public class FinancialBasicFileInfo extends BaseEntity {

    /** 客户信息表id **/
    @TableField(value = "financial_customer_info_id")
    private Long financialCustomerInfoId;
    /** 基础资料清单字典表id **/
    @TableField(value = "financial_basic_file_dic_info_id")
    private Long financialBasicFileDicInfoId;


    public FinancialBasicFileInfo(FinancialBasicFileVo financialBasicFileVo,Long financialCustomerInfoId) {
        this.financialBasicFileDicInfoId = financialBasicFileVo.getFinancialBasicFileDicInfoId();
        this.financialCustomerInfoId = financialCustomerInfoId;
    }

    public FinancialBasicFileInfo() {
    }

    public Long getFinancialCustomerInfoId() {
        return financialCustomerInfoId;
    }

    public void setFinancialCustomerInfoId(Long financialCustomerInfoId) {
        this.financialCustomerInfoId = financialCustomerInfoId;
    }

    public Long getFinancialBasicFileDicInfoId() {
        return financialBasicFileDicInfoId;
    }

    public void setFinancialBasicFileDicInfoId(Long financialBasicFileDicInfoId) {
        this.financialBasicFileDicInfoId = financialBasicFileDicInfoId;
    }
}
